# Class MarkerSupportRegistry

java.lang.Object
org.eclipse.ui.views.markers.internal.MarkerSupportRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

public class MarkerSupportRegistry extends Object implements IExtensionChangeHandler
The ProblemFilterRegistryReader is the registry reader for declarative problem filters. See the org.eclipse.ui.markerSupport extension point.

Since:
  3.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALL_MARKERS_GENERATOR`
The all markers generator.
`static final String`
`ATTRIBUTE_MAPPING`
The markerAttributeMapping element.
`static final String`
`BOOKMARKS_GENERATOR`
The bookmarks generator.
`static final String`
`ENABLED`
The enabled attribute.
`static final String`
`FILTER_LIMIT`
Filter enablement : A zero/negative integer implies that the limit is disabled.
`static final String`
`LABEL`
The label attribute
`static final String`
`MARKER_ATTRIBUTE_GROUPING`
The attribute grouping element name.
`static final String`
`MARKER_GROUPING`
The tag for marker grouping.
`static final String`
`MARKER_GROUPING_ENTRY`
The constant for grouping entries.
`static final String`
`MARKER_SUPPORT`
The tag for the marker support extension
`static final String`
`MARKER_TYPE_REFERENCE`
The key for marker type references.
`static final String`
`MARKERS_ID`
The id for the new markers view.
`static final String`
`PROBLEMS_GENERATOR`
The problems generator.
`static final String`
`TASKS_GENERATOR`
The tasks generator.
`static final String`
`VALUE`
The value attribute.

## Method Summary

Modifier and Type
Method
Description
`void`
`addExtension(IExtensionTracker tracker, IExtension extension)`
This method is called whenever an extension conforming to the extension point filter is being added to the registry.
`String`
`getCategory(String markerType)`
Get the category associated with markerType.
`String`
`getCategory(IMarker marker)`
Get the category associated with marker.
`ContentGeneratorDescriptor`
`getContentGenDescriptor(String id)`
Get the generator descriptor for id
`ContentGeneratorDescriptor`
`getDefaultContentGenDescriptor()`
Return the default content generator descriptor.
`MarkerField`
`getField(String id)`
Return the field that maps to id.
`static MarkerSupportRegistry`
`getInstance()`
Get the instance of the registry.
`MarkerGroup`
`getMarkerGroup(String categoryName)`
Get the markerGroup associated with categoryName
`Collection<MarkerGroup>`
`getMarkerGroups()`
Return the FieldMarkerGroups in the receiver.
`Collection<ProblemFilter>`
`getRegisteredFilters()`
Get the collection of currently registered filters.
`TableComparator`
`getSorterFor(String type)`
Return the TableSorter that corresponds to type.
`void`
`removeExtension(IExtension extension, Object[] objects)`
This method is called after the removal of an extension.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENABLED

public static final String ENABLED
The enabled attribute.

See Also:
  - Constant Field Values

### FILTER_LIMIT

public static final String FILTER_LIMIT
Filter enablement : A zero/negative integer implies that the limit is disabled.

See Also:
  - Constant Field Values

### MARKER_SUPPORT

public static final String MARKER_SUPPORT
The tag for the marker support extension

See Also:
  - Constant Field Values

### MARKER_TYPE_REFERENCE

public static final String MARKER_TYPE_REFERENCE
The key for marker type references.

See Also:
  - Constant Field Values

### ATTRIBUTE_MAPPING

public static final String ATTRIBUTE_MAPPING
The markerAttributeMapping element.

See Also:
  - Constant Field Values

### MARKER_GROUPING

public static final String MARKER_GROUPING
The tag for marker grouping.

See Also:
  - Constant Field Values

### VALUE

public static final String VALUE
The value attribute.

See Also:
  - Constant Field Values

### LABEL

public static final String LABEL
The label attribute

See Also:
  - Constant Field Values

### MARKER_ATTRIBUTE_GROUPING

public static final String MARKER_ATTRIBUTE_GROUPING
The attribute grouping element name.

See Also:
  - Constant Field Values

### MARKER_GROUPING_ENTRY

public static final String MARKER_GROUPING_ENTRY
The constant for grouping entries.

See Also:
  - Constant Field Values

### BOOKMARKS_GENERATOR

public static final String BOOKMARKS_GENERATOR
The bookmarks generator.

See Also:
  - Constant Field Values

### TASKS_GENERATOR

public static final String TASKS_GENERATOR
The tasks generator.

See Also:
  - Constant Field Values

### PROBLEMS_GENERATOR

public static final String PROBLEMS_GENERATOR
The problems generator.

See Also:
  - Constant Field Values

### ALL_MARKERS_GENERATOR

public static final String ALL_MARKERS_GENERATOR
The all markers generator.

See Also:
  - Constant Field Values

### MARKERS_ID

public static final String MARKERS_ID
The id for the new markers view.

See Also:
  - Constant Field Values

## Method Details

### getInstance

public static MarkerSupportRegistry getInstance()
Get the instance of the registry.

Returns:
  MarkerSupportRegistry

### addExtension

public void addExtension(IExtensionTracker tracker, IExtension extension)
Description copied from interface: `IExtensionChangeHandler`
This method is called whenever an extension conforming to the extension point filter is being added to the registry. This method does not automatically register objects to the tracker.

Specified by:
  `addExtension` in interface `IExtensionChangeHandler`
Parameters:
  `tracker` - a tracker to which the handler has been registered
  `extension` - the extension being added

### getRegisteredFilters

public Collection<ProblemFilter> getRegisteredFilters()
Get the collection of currently registered filters.

Returns:
  Collection of ProblemFilter

### removeExtension

public void removeExtension(IExtension extension, Object[] objects)
Description copied from interface: `IExtensionChangeHandler`
This method is called after the removal of an extension.

Specified by:
  `removeExtension` in interface `IExtensionChangeHandler`
Parameters:
  `extension` - the extension being removed
  `objects` - the objects that were associated with the removed extension

### getCategory

public String getCategory(IMarker marker)
Get the category associated with marker. Return `null` if there are none.

Returns:
  String or `null`

### getCategory

public String getCategory(String markerType)
Get the category associated with markerType. Return `null` if there are none.

Returns:
  String or `null`

### getSorterFor

public TableComparator getSorterFor(String type)
Return the TableSorter that corresponds to type.

Returns:
  TableSorter

### getMarkerGroups

public Collection<MarkerGroup> getMarkerGroups()
Return the FieldMarkerGroups in the receiver.

Returns:
  Collection of `MarkerGroup`

### getContentGenDescriptor

public ContentGeneratorDescriptor getContentGenDescriptor(String id)
Get the generator descriptor for id

Returns:
  ContentGeneratorDescriptor or `null`.

### getDefaultContentGenDescriptor

public ContentGeneratorDescriptor getDefaultContentGenDescriptor()
Return the default content generator descriptor.

Returns:
  ContentGeneratorDescriptor

### getMarkerGroup

public MarkerGroup getMarkerGroup(String categoryName)
Get the markerGroup associated with categoryName

Returns:
  FieldMarkerGroup or `null`

### getField

public MarkerField getField(String id)
Return the field that maps to id.

Returns:
  `MarkerField` or `null`